Results 1 to 5 of 5

Thread: peach doesn't work

  1. #1
    Just burned his ISO
    Join Date
    Sep 2009
    Posts
    2

    Default peach doesn't work

    when i try to run peach it gives me the following error :
    Code:
    ] Peach 2.2.1 Runtime
    ] Copyright (c) Michael Eddington
    
    Traceback (most recent call last):
      File "peach.py", line 207, in <module>
        from Peach.Engine import *
      File "/pentest/fuzzers/peach/Peach/__init__.py", line 41, in <module>
        import Generators, Publishers, Transformers
      File "/pentest/fuzzers/peach/Peach/Publishers/__init__.py", line 37, in <module>
        import file, sql, stdout, tcp, udp, com, process, http, icmp, raw, remote
      File "/pentest/fuzzers/peach/Peach/Publishers/remote.py", line 36, in <module>
        from Peach.Engine.engine import Engine
      File "/pentest/fuzzers/peach/Peach/Engine/engine.py", line 755, in <module>
        from Peach.Engine.parser import *
      File "/pentest/fuzzers/peach/Peach/Engine/parser.py", line 53, in <module>
        from Peach.Engine.dom import *
      File "/pentest/fuzzers/peach/Peach/Engine/dom.py", line 3511, in <module>
        import psyco
    ImportError: No module named psyco
    what is the problem ,,,

  2. #2
    Moderator KMDave's Avatar
    Join Date
    Jan 2010
    Posts
    2,281

    Default

    What's the command you are using?

    If I run peach it is working fine.
    Tiocfaidh ár lá

  3. #3
    Just burned his ISO
    Join Date
    Sep 2009
    Posts
    2

    Default

    any command that i run it gives me the same error

  4. #4
    Moderator KMDave's Avatar
    Join Date
    Jan 2010
    Posts
    2,281

    Default

    Did you just try python peach.py?

    Did you run any upgrades/updates? What's your environment (HDD installation,livecd,usb with changes)?
    Tiocfaidh ár lá

  5. #5
    Jenkem Addict imported_wyze's Avatar
    Join Date
    Jul 2007
    Posts
    1,543

    Default

    Quote Originally Posted by Kid0o View Post
    when i try to run peach it gives me the following error :
    Code:
    ] 
    ImportError: No module named psyco
    what is the problem ,,,
    Uhhh, I'm no Einstein.. but 1) You either don't have the psycho library 2) You're not running BT4 3) You're running BT4 and your DVD / USB / HD install is fuxored 5) You're running Ubuntu and pretending to run BT4 for help.
    dd if=/dev/swc666 of=/dev/wyze

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •